> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get event

> GetEvent

 Returns event information by event ID.



## OpenAPI

````yaml get /cms/events/v1/{event_id}
openapi: 3.0.3
info:
  title: Studio API - Motto
  version: 0.0.0
servers:
  - url: https://api.mottostreaming.com
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: AccountService
    description: Account management service
  - name: ActionConfigurationService
    description: Action configuration service definition
  - name: ActionSecretService
    description: Action type service definition
  - name: ActionService
    description: Action service definition
  - name: ActionTypeService
    description: Action type service definition
  - name: ActivityService
    description: Activity service definition
  - name: AdService
    description: Ad management service.
  - name: AnnotationService
    description: Annotation service definition
  - name: AnnotationSetService
    description: Annotation service definition
  - name: AnnotationTypeService
    description: Annotation service definition
  - name: AssetService
    description: Asset management service.
  - name: AuthService
    description: Auth service definition
  - name: BannerService
    description: Banner service definition
  - name: BannerV2Service_v2
    description: Banner service definition
  - name: CleengService
    description: CleengService service definition
  - name: ClipService
    description: ClipService is the service that handles Clip operations.
  - name: ConfigurationService
    description: >-
      Configuration management service. These configurations allow modifying the
      behavior of streams, uploads, simulcasts, etc.
  - name: ContentTypeService
    description: ContentType service definition
  - name: CreativeWorkService
    description: CreativeWork service definition
  - name: EntitlementService
    description: Entitlement service definition
  - name: EntityService
    description: Entity service definition
  - name: EventService
    description: Event service definition
  - name: FileService
    description: OTT files management.
  - name: IngestService
    description: Ingest management service.
  - name: IngestService_v2
    description: Ingest management service.
  - name: LiveStreamService
    description: LiveStream management service.
  - name: LiveStreamService_v2
    description: LiveStream management service.
  - name: OfferService
    description: Offer service definition
  - name: OrganizationService
    description: Organization management service.
  - name: PageService
    description: Page service definition
  - name: PlatformService
    description: Platform service definition
  - name: PlaylistService
    description: Playlist management service.
  - name: ProjectService
    description: Project management service.
  - name: SimulcastService
    description: Simulcast management service.
  - name: SlugService
    description: Slug service definition
  - name: SpiideoService
    description: SpiideoService service definition
  - name: StandingService
    description: Standing service definition
  - name: StitcherService
    description: StitcherService is the service that handles stitching operations.
  - name: StripeService
    description: StripeService service definition
  - name: SubscriptionService
    description: Subscription service definition
  - name: SubtitleService
    description: SubtitleService is the service that handles Subtitle operations.
  - name: TransactionService
    description: Transaction service definition
  - name: UploadService
    description: Upload management service.
  - name: UsageService
    description: The UsageService provides methods to retrieve usage data for SKUs.
  - name: UserService
    description: User management service
  - name: VODService
    description: VODService is the service that handles VOD operations.
  - name: VODService_v2
    description: VODService is the service that handles VOD operations.
  - name: VideoProtectionService
    description: VideoProtection management service.
  - name: VideoProtectionService_v2
    description: VideoProtection management service.
  - name: VideoService
    description: Video management service.
paths:
  /cms/events/v1/{event_id}:
    get:
      tags:
        - EventService
      description: |-
        GetEvent

         Returns event information by event ID.
      operationId: EventService_GetEvent
      parameters:
        - name: event_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/motto.cms.event.v1.GetEventResponse'
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/google.rpc.Status'
components:
  schemas:
    motto.cms.event.v1.GetEventResponse:
      type: object
      properties:
        event:
          $ref: '#/components/schemas/motto.cms.event.v1.Event'
    google.rpc.Status:
      type: object
      properties:
        code:
          type: integer
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
        details:
          type: array
          items:
            $ref: '#/components/schemas/google.protobuf.Any'
          description: >-
            A list of messages that carry the error details.  There is a common
            set of message types for APIs to use.
      description: >-
        The `Status` type defines a logical error model that is suitable for
        different programming environments, including REST APIs and RPC APIs. It
        is used by [gRPC](https://github.com/grpc). Each `Status` message
        contains three pieces of data: error code, error message, and error
        details. You can find out more about this error model and how to work
        with it in the [API Design
        Guide](https://cloud.google.com/apis/design/errors).
    motto.cms.event.v1.Event:
      required:
        - project_id
      type: object
      properties:
        id:
          readOnly: true
          type: string
          description: System generated unique identifier for the event.
        project_id:
          type: string
        type_id:
          type: string
          description: >-
            The type id of the event. For example `football_match`. May be set
            to `default` when no custom fields are present.
        title:
          type: string
        description:
          type: string
        status:
          enum:
            - EVENT_STATUS_UNSPECIFIED
            - EVENT_STATUS_SCHEDULED
            - EVENT_STATUS_RESCHEDULED
            - EVENT_STATUS_CANCELLED
            - EVENT_STATUS_POSTPONED
            - EVENT_STATUS_MOVED_ONLINE
            - EVENT_STATUS_DELAYED
            - EVENT_STATUS_STARTED
            - EVENT_STATUS_PAUSED
            - EVENT_STATUS_SUSPENDED
            - EVENT_STATUS_FINISHED
            - EVENT_STATUS_PRESCHEDULED
          type: string
          description: Current status of the event
          format: enum
        start_time:
          type: string
          format: date-time
        online_url:
          type: string
          description: >-
            Important: at most one of `online_url`, `physical_location` may be
            set per request.
        physical_location:
          $ref: '#/components/schemas/motto.cms.event.v1.PhysicalLocation'
          description: >-
            Important: at most one of `online_url`, `physical_location` may be
            set per request.
        thumbnail_asset_id:
          type: string
        poster_asset_id:
          type: string
        video_ids:
          type: array
          items:
            type: string
        fields:
          type: object
        visibility:
          enum:
            - VISIBILITY_UNSPECIFIED
            - VISIBILITY_PUBLISHED
            - VISIBILITY_UNLISTED
            - VISIBILITY_HIDDEN
          type: string
          format: enum
        create_time:
          readOnly: true
          type: string
          format: date-time
        localized_title:
          type: object
          additionalProperties:
            type: string
          description: >-
            A map of localized titles for this event, for end users to see. The
            key is the language code (ISO 639 - set 1), e.g. "en", "de", "fr",
            etc.
             If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2), e.g. "en-US", "en-GB", etc.

             Leaving this field empty will default to the `title` field.
        localized_description:
          type: object
          additionalProperties:
            type: string
          description: |-
            A map of localized descriptions for this event.
             The key is the language code (ISO 639 - set 1), e.g. "en", "de", "fr", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2),
             e.g. "en-US", "en-GB", etc.

             Leaving this field empty will default to the `description` field.
        localized_thumbnail_asset_id:
          type: object
          additionalProperties:
            type: string
          description: |-
            A map of localized thumbnail asset IDs for this event.
             The key is the language code (ISO 639 - set 1), e.g. "en", "de", "fr", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2),
             e.g. "en-US", "en-GB", etc.

             Leaving this field empty will default to the `thumbnail_asset_id` field.
        localized_poster_asset_id:
          type: object
          additionalProperties:
            type: string
          description: |-
            A map of localized poster asset IDs for this event.
             The key is the language code (ISO 639 - set 1), e.g. "en", "de", "fr", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2),
             e.g. "en-US", "en-GB", etc.

             Leaving this field empty will default to the `poster_asset_id` field.
        banner_asset_id:
          $ref: '#/components/schemas/motto.cms.event.v1.Event_BannerMap'
        localized_banner_asset_id:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/motto.cms.event.v1.Event_BannerMap'
          description: |-
            A map of localized banner asset IDs for this event.
             The key is the language code (ISO 639 - set 1), e.g. "en", "de", "fr", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2),
             e.g. "en-US", "en-GB", etc.

             Leaving this field empty will default to the `banner_asset_id` field.
      description: >-
        An event happening at a certain time and location, such as a sports
        game, concert, lecture, or festival.
    google.protobuf.Any:
      type: object
      properties:
        '@type':
          type: string
          description: The type of the serialized message.
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
    motto.cms.event.v1.PhysicalLocation:
      type: object
      properties:
        venue:
          type: string
        city:
          type: string
        country_code:
          type: string
          description: Country code complaint with ISO 3166-1 alpha-2
        continent_code:
          type: string
          description: Continent code, one of AF, AN, AS, EU, NA, OC, SA
        coordinates:
          $ref: '#/components/schemas/google.type.LatLng'
    motto.cms.event.v1.Event_BannerMap:
      type: object
      properties:
        banner_asset_id:
          type: object
          additionalProperties:
            type: string
          description: |-
            A map of banner asset IDs for this event.
             The key is the breakpoint min-width (in pixels) at which this banner should be shown.
             If you want a default banner for all screen sizes, you can use 0 as the key.
    google.type.LatLng:
      type: object
      properties:
        latitude:
          type: number
          description: The latitude in degrees. It must be in the range [-90.0, +90.0].
          format: double
        longitude:
          type: number
          description: The longitude in degrees. It must be in the range [-180.0, +180.0].
          format: double
      description: >-
        An object that represents a latitude/longitude pair. This is expressed
        as a
         pair of doubles to represent degrees latitude and degrees longitude. Unless
         specified otherwise, this must conform to the
         <a href="http://www.unoosa.org/pdf/icg/2012/template/WGS_84.pdf">WGS84
         standard</a>. Values must be within normalized ranges.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````